<template>
  <div class="table-wrapper">
    <h2 v-if="content.title" v-html="content.title"></h2>
    <div
      v-if="content.subtitle"
      class="text-posttitle"
      v-html="content.subtitle"
    ></div>
    <!-- <div v-if="content.items"> -->
      <template v-if="content.type === 'basic_data'">
        <div class="btn-before-tabl">
          <div v-for="item in content.items">
            <Button
              @click="setTable(item)"
              :class="{ active: currentTableBasic_data.name === item.name }"
            >
              <slot>{{ item.name }}</slot>
            </Button>
          </div>
        </div>
        <div
          class="table-block"
          v-html="currentTableBasic_data.content"
        ></div>
      </template>
    <!-- </div> -->
    <div
      v-html="content.table"
      v-if="content.table"
      class="table-block"
    ></div>
    <div
      v-if="content.btn"
      class="btn-post-tabl"
    >
      <a :href="content.btn.href">
        <Button color="blue">
          <slot>{{ content.btn.text }}</slot>
        </Button></a
      >
      <div
        v-if="content.warning"
        class="hint"
        v-html="'<span>i</span>' + content.warning"
      ></div>
    </div>
  </div>
</template>

<script>
import Button from './common/button.vue';

export default {
  components: { Button },

  props: {
    title: { type: String },
    posttitle: { type: String },
    btnPostTable: { type: Boolean, default: false },
    content: { type: Object },
  },
  data() {
    return {
      currentTableBasic_data: null,
    };
  },
  computed: {},
  created() {
    if (this.content.type === 'basic_data') {
      this.currentTableBasic_data = this.content.items[0];
    }
  },
  mounted() {
    // console.log('table: ', this.content);
  },
  updated() {},
  methods: {
    setTable(el) {
      // console.log('el: ', el);
      this.currentTableBasic_data = el;
    },
  },
};
</script>


